Skip to main content
GET
/
api
/
v1
/
subscribers
/
{email}
/
notes
Subscriber Notes
curl --request GET \
  --url https://api.sequenzy.com/api/v1/subscribers/{email}/notes \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "body": "<string>"
}
'
{
  "success": true,
  "notes": [
    {
      "id": "note_123",
      "subscriberId": "sub_abc123",
      "authorId": "user_123",
      "body": "Asked about enterprise pricing",
      "createdAt": "2026-06-28T10:00:00.000Z",
      "updatedAt": "2026-06-28T10:00:00.000Z",
      "author": {
        "id": "user_123",
        "name": "Ana",
        "email": "ana@example.com"
      }
    }
  ]
}
Internal subscriber notes are visible to your team and are not sent to subscribers. You can manage notes by email or by external ID. Use the external-ID query route for IDs that contain /.

Request

email
string
Subscriber email for /subscribers/{email}/notes.
externalId
string
External ID for /subscribers/external/notes?externalId={externalId}.
body
string
required
Note body. Maximum length: 5000 characters.
curl "https://api.sequenzy.com/api/v1/subscribers/user%40sequenzy.com/notes" \
  -H "Authorization: Bearer YOUR_API_KEY"
curl -X POST "https://api.sequenzy.com/api/v1/subscribers/user%40sequenzy.com/notes" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"body":"Asked about enterprise pricing"}'
curl -X DELETE "https://api.sequenzy.com/api/v1/subscribers/notes/note_123" \
  -H "Authorization: Bearer YOUR_API_KEY"

Responses

{
  "success": true,
  "notes": [
    {
      "id": "note_123",
      "subscriberId": "sub_abc123",
      "authorId": "user_123",
      "body": "Asked about enterprise pricing",
      "createdAt": "2026-06-28T10:00:00.000Z",
      "updatedAt": "2026-06-28T10:00:00.000Z",
      "author": {
        "id": "user_123",
        "name": "Ana",
        "email": "ana@example.com"
      }
    }
  ]
}